from django.conf.urls import url
from .views import (provider_detail, provider_statement, invoice_create,
        invoice_detail, invoice_update, payment_create, payment_detail,
        payment_update, provider_list, provider_ajax, provider_create, 
        provider_update, provider_payment_methods_delete, manual_billing,
        provider_payment_methods, provider_payment_methods_add, ajax_provider,
        provider_invoice_list, provider_invoice_ajax, mark_as_paid, mark_as_unpaid,
        provider_invoice_list_without_customer, provider_invoice_ajax2,
        provider_payment_list, provider_payment_ajax, manual_payments,
        provider_payment_list_without_customer, provider_payment_ajax2,)

urlpatterns = [
    url(r'^$', provider_list, name='provider-list'),
    url(r'^(?P<pk>\d+)/$', provider_detail, name='provider-detail'),
    url(
        r"^(?P<provider_pk>\d+)/payment-methods/$",
        provider_payment_methods,
        name="provider-payment-methods",
    ),
    url(
        r"^(?P<provider_pk>\d+)/payment-methods/add/$",
        provider_payment_methods_add,
        name="provider-payment-methods-add",
    ),
    url(
        r"^(?P<provider_pk>\d+)/payment-methods/(?P<pk>\d+)/delete/$",
        provider_payment_methods_delete,
        name="provider-payment-methods-delete",
    ),
    url(r"^manual-billing/$", manual_billing, name="provider-manual-billing"),
    url(r'^(?P<pk>\d+)/statement/$', provider_statement, name='provider-statement'),
    url(r'^(?P<pk>\d+)/new-invoice/$', invoice_create, name='provider-invoice-create'),
    url(r'^(?P<pk>\d+)/new-payment/$', payment_create, name='provider-payment-create'),
    url(r'^invoices/(?P<pk>\d+)/$', invoice_detail, name='provider-invoice-detail'),
    url(r'^payments/(?P<pk>\d+)/$', payment_detail, name='provider-payment-detail'),
    url(r'^invoices/(?P<pk>\d+)/edit/$', invoice_update, name='provider-invoice-update'),
    url(r'^payments/(?P<pk>\d+)/edit/$', payment_update, name='provider-payment-update'),
    url(r'^(?P<pk>\d+)/new-payment/$', payment_create, name='provider-payment-create'),
    url(r'^new/$', provider_create, name='provider-create'),
    url(r'^(?P<pk>\d+)/edit/$', provider_update, name='provider-update'),
    url(r'^ajax/$', provider_ajax, name='provider-ajax'),
    url(r'^invoices/new/$', provider_invoice_list, name='provider-invoice-list'),
    url(r"^invoices/ajax/$", provider_invoice_ajax, name="provider-invoice-ajax"),
    url(r'^invoices-sin_identificacion/$', provider_invoice_list_without_customer, name='provider-invoice-list-without-provider'),
    url(r"^invoices/ajax2/$", provider_invoice_ajax2, name="provider-invoice-ajax2"),
    url(r"^ajax_provider/$", ajax_provider, name="ajax_provider"),
    url(r"^invoices/(?P<pk>\d+)/mark-as-paid/$",mark_as_paid,name="mark-as-paid"),
    url(r"^invoices/(?P<pk>\d+)/mark-as-unpaid/$",mark_as_unpaid,name="mark-as-unpaid"),
    url(r'^payments/$', provider_payment_list, name = "provider-payment-list"),
    url(r"^payments/ajax/$", provider_payment_ajax, name="provider-payment-ajax"),
    url(r"^manual-payments/$", manual_payments, name="provider-manual-payments"),
    url(r'^payments-sin_identificacion/$', provider_payment_list_without_customer, name='provider-payment-list-without-provider'),
    url(r"^payments/ajax2/$", provider_payment_ajax2, name="provider-payment-ajax2"),
]
